crystal-facet-uml (1.63.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 May 2025 17:38:12 +0200

crystal-facet-uml (1.63.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/examples:
    + Add file. Add documentation examples.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 Mar 2025 16:08:38 +0100

crystal-facet-uml (1.58.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Jun 2024 22:39:09 +0200

crystal-facet-uml (1.56.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 17:39:03 +0200

crystal-facet-uml (1.55.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2024 18:58:20 +0100

crystal-facet-uml (1.55.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Update copyright attribution for debian/.

  [ Andreas Warnke ]
  * New upstream release.
  * debian/:
    + Switch to Gtk-4.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Feb 2024 18:20:15 +0100

crystal-facet-uml (1.54.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 26 Dec 2023 09:49:10 +0100

crystal-facet-uml (1.50.1-1) unstable; urgency=medium

  * New upstream release.
    - The gcov target is only built if -DCFU_ADD_GCOV_TARGET=ON (Closes:
      #983836). (OFF by default).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Jun 2023 06:35:09 +0200

crystal-facet-uml (1.47.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 22:57:51 +0100

crystal-facet-uml (1.46.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 11:06:10 +0100

crystal-facet-uml (1.45.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 21:45:29 +0100

crystal-facet-uml (1.43.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.
  * debian/source/lintian-overrides:
    + Drop file. Override not required anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 06 Nov 2022 22:20:32 +0100

crystal-facet-uml (1.42.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/source/lintian-overrides:
    + Adjust override tag.
  * debian/patches:
    + Add 1001_typo-fix.patch.
  * debian/copyright:
    + Update copyright attributions for debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 11 Oct 2022 08:51:28 +0200

crystal-facet-uml (1.38.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Jun 2022 15:04:44 +0200

crystal-facet-uml (1.36.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 30 Apr 2022 20:00:58 +0200

crystal-facet-uml (1.35.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Mar 2022 22:22:02 +0100

crystal-facet-uml (1.34.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 09 Dec 2021 22:21:03 +0100

crystal-facet-uml (1.34.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/source/lintian-overrides:
    + Override 'inconsistent-appstream-metadata-license'.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

  [ Andreas Warnke ]
  * Upstream url changed: minus instead of underscore

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 02 Dec 2021 16:23:24 +0100

crystal-facet-uml (1.27.3-2) unstable; urgency=medium

  [ Andreas Warnke ]
  * debian/watch:
    + Adapt source download url to new location at github.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Apr 2021 22:06:57 +0200

crystal-facet-uml (1.27.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Update to format version 4.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 17 Feb 2021 17:27:11 +0100

crystal-facet-uml (1.27.2-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * new upstream version 1.27.2
  * metadata.xml file has MIT license as requested by freedesktop.org
  * CMakeLists has no separate compiler-flags for test-executable anymore
  * compiler switch Werror removed: warnings should not cause build-breaks
  * compiler warning fixed: conversions from unsigned int to size_t updated

  [ Mike Gabriel ]
  * debian/copyright: Renmae license tag from MIT to Expat.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 07 Jan 2021 06:26:41 +0100

crystal-facet-uml (1.26.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.
  * debian/*:
    + Program renamed from crystal_facet_uml to crystal-facet-uml.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 22 Dec 2020 23:13:17 +0100

crystal-facet-uml (1.26.0-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * New upstream release.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Let dh_auto_configure pass cross flags to cmake. (Closes:
      #973980).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 23 Nov 2020 12:47:40 +0100

crystal-facet-uml (1.25.1-1) unstable; urgency=medium

  [ Andreas Warnke ]
  * cmake does not depend on c++ compiler anymore
  * hardening activated, includes elf-pie feature
  * yamllint deactivated for ci
  * build artifacts of ci adapted to make them accessible by test stage

  [ Mike Gabriel ]
  * Initial upload to Debian. (Closes: #928087).
  * GitLab CI: move .gitlab-ci.yml to debian/salsa-ci.yml.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump to DH compat level version 13.
    + Rework SYNOPSIS and LONG_DESCRIPTION (to make lintian happy).
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/rules:
    + Don't set DEB_LDFLAGS_MAINT_APPEND with -Wl,--as-needed. It's now the
      default.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_fix-typo.patch. Grammar fixes in application messages.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Nov 2020 09:22:50 +0100

crystal-facet-uml (1.25.0-2) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * yml script for ci added

 -- Andreas Warnke <cfu@andreaswarnke.de>  Wed, 28 Oct 2020 07:40:00 +0100

crystal-facet-uml (1.25.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * moving ports follow the cursor more accurate
  * Constraint Blocks show their ports completely inside
  * Artifacts and Components do not waste space for contained children
  * Comment titles do not overlap with the comment-corner
  * packages containing children display their title in the tab-symbol
  * layouting containments does not reserve columns/rows for the container
  * Feature/Composite Requirement does not exist anymore,
    data from older versions is auto-converted to Requirement
  * Requirements are displyed as box-with-label omitting the description
  * Interaction Overview Diagram is redesigned,
    data from older versions is auto-converted to Activity Diagram

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 18 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.24.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export reflects containment-hierarcy of elements
  * XMI(TM) export automatically disambiguates between activity/state contexts
  * warnings are printed to xml export if model is not uml compliant
  * no arrow tip at communication path
  * export shows statistics on diagrams or classifiers
  * internal: messages to user are typesafe for their parameters

 -- Andreas Warnke <cfu@andreaswarnke.de>  Thu, 08 Oct 2020 20:30:00 +0200

crystal-facet-uml (1.23.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * XMI(TM) export good enough to be checked by NIST validator

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 06 Sep 2020 11:30:00 +0200

crystal-facet-uml (1.23.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * at operations cut, copy, paste and delete: print understandable statistics
  * at operations undo, redo: print understandable statistics
  * layouting of classifiers improved
  * experimental xmi export

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 15 Jun 2020 11:30:00 +0200

crystal-facet-uml (1.22.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the xhtml export produces a table-of-contents
  * the xhtml+db exports generate links to diagrams by D0001#name.
  * the element configuration area on the right does not take space needed
    by the drawing area
  * yellow highlighted names are drawn behind the classifier-contour-line

 -- Andreas Warnke <cfu@andreaswarnke.de>  Fri, 01 May 2020 17:30:00 +0200

crystal-facet-uml (1.21.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * containers embrace their children keeping wider gaps

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 12 Apr 2020 16:30:00 +0200

crystal-facet-uml (1.20.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * xhtml output generates a css file to allow defining own color schemes
  * xhtml output keeps linebreaks in selected (md) cases
  * bugfix: exporting docbook and xhtml via command line arguments
    works again, as in 1.16.1 (Closes: #1)
  * exported xhtml passes https://validator.w3.org/check (for quality.cfu1)
  * exported xhtml/css shows chapter numbers

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 23 Mar 2020 18:30:00 +0100

crystal-facet-uml (1.19.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * free text search
  * small memory leak in nav-tree-view fixed

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sat, 14 Mar 2020 12:30:00 +0100

crystal-facet-uml (1.18.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * when exporting xhtml and docbook files, windows pathnames are supported

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 20 Jan 2020 21:30:00 +0100

crystal-facet-uml (1.18.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * the search view allows one to search for object ids
  * bugfix: when changing type of an object, lastest changes to name
    or description are not lost
  * pressing enter in name or stereotype field causes a save action

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 19 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.17.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * cmake build config is less platform dependent
  * nav-tree: dragging diagrams shows a tree-depth aware insert line
  * while dragging, grid lines are displayed
  * the description text-view has scrollbars
  * in nav view, a click into the current diagram zooms to edit mode
  * in create view, an icon next to the mouse cursor shows options
  * fix: type dropdown box does not change DB automatically if unknown type id
  * the type drop down box shows icons to faster find the right type
  * an icon grid allows one to change types quickly

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 05 Jan 2020 20:30:00 +0100

crystal-facet-uml (1.16.2-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * relationships may overlap if same type and same direction
  * title and filename of exported docbook and xhtml equals database file name

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 08 Dec 2019 11:30:00 +0100

crystal-facet-uml (1.16.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * rpm package build scripts beautified

 -- Andreas Warnke <cfu@andreaswarnke.de>  Tue, 26 Nov 2019 19:30:00 +0100

crystal-facet-uml (1.16.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * Diagram exports can be triggered from command line
  * Cut + paste of relationships is possible
  * Json format in clipboard slightly modified
    (set renamed to data, order required, relationship src/dst names added)
  * The default classifier size is calculated based on the grid-distances
  * Fix: Scenario based diagrams showing multiple identical classifier
    instances show not too many relationships

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sat, 16 Nov 2019 19:30:00 +0100

crystal-facet-uml (1.15.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * The id of selected objects is displayed in the edit area
  * Child diagrams are layouted in a grid (in navigation view)

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 20 Oct 2019 12:30:00 +0200

crystal-facet-uml (1.14.2-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * gtk is initialized before data and ctrl packages --> fix for wine

 -- Andreas Warnke <cfu@andreaswarnke.de>  Fri, 06 Sep 2019 19:30:00 +0200

crystal-facet-uml (1.14.1-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * background image added to intro screen.
  * compatibility to GTK 3.6 established, newer features replaced
  * pthread dependency replaced by glib functions
  * build for wine using mingw

 -- Andreas Warnke <cfu@andreaswarnke.de>  Mon, 02 Sep 2019 21:30:00 +0200

crystal-facet-uml (1.14.0-1) UNRELEASED; urgency=medium

  [ Andreas Warnke ]
  * all features (except lifelines) are hidden in scenario-based and box/list
    diagrams
  * non-global relationships are hidden in scenario-based and all in box/list
    diagrams
  * exporting descriptions of hidden relationships and features is suppressed
  * any classifier can be displayed as named instance or as anonymous instance.

 -- Andreas Warnke <cfu@andreaswarnke.de>  Sun, 14 Jul 2019 11:30:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog crystal-facet-uml`.
